class SimpleController < ApplicationController
    
    # Posts my data from client to table
    def post
        @event = Event.new
        @event.udid = params[:udid]
        @event.latitude = params[:latitude]
        @event.longitude = params[:longitude]
        
        @event.c_freq = params[:c_freq]
        @event.m1_freq = params[:m1_freq]
        @event.fm1_index = params[:fm1_index]
        @event.m2_freq = params[:m2_freq]
        @event.fm2_index = params[:fm2_index]
        
        @event.lp_c_freq = params[:lp_c_freq]
        @event.lp_m1_freq = params[:lp_m1_freq]
        @event.lp_m1_index = params[:lp_m1_index]
        @event.lp_m2_freq = params[:lp_m2_freq]
        @event.lp_m2_index = params[:lp_m2_index]
        
        if @event.save then
            render :text => "success, yo!"
            else
            render :text => "dag, yo. i failed!"
        end
    end
    
    # Gets data from table to client
    
    # todo: 
    # 1: how to get parameters into an action (use format string with ?blah=foo&blarg=baz, then use params dict in controller to get it out
    # 2: how to write a comparator for your sort 
    # 3: how to calc distance between two points
    
    def get
        @events = Event.all
        
        lat = params[:lat].to_f
        lon = params[:lon].to_f
        
        # get user's lat and long out of params
        
        @sorted_events = @events.sort { |a, b|
            a_lat_diff = a.latitude - lat
            a_lon_diff = a.longitude - lon
            a_dist = Math.sqrt(a_lat_diff**2 + a_lon_diff**2)
            
            b_lat_diff = b.latitude - lat
            b_lon_diff = b.longitude - lon
            b_dist = Math.sqrt(b_lat_diff**2 + b_lon_diff**2)
            
            a_dist - b_dist
        }
        
        returnText = ""
        
        for e in @sorted_events[0..9]:
            # print lat, long to terminal
            puts "lol %f, %f!" % [ e.latitude, e.longitude ]
        end
        puts returnText
        
        render :text => @sorted_events[0..9].to_plist
    end
    
end
